#ifndef EMBFUNCTIONITEM_H
#define EMBFUNCTIONITEM_H

#include <QObject>

class EmbFunctionItem : public QObject
{
    Q_OBJECT
public:
    explicit EmbFunctionItem(QObject *parent = 0);

    ~EmbFunctionItem();

public:
    EmbFunctionItem(const EmbFunctionItem & item);
    EmbFunctionItem & operator= (const EmbFunctionItem & item);

public:
    void clean();

private:
    void copyData(const EmbFunctionItem & item);

public:
    int m_macType;          // 机器类型
    int m_showPriority;     // 显示优先级
    QString m_name;         // label名称
    QString m_topImageName; // 顶图图标logo名称
    int m_enumFunction;     // 对应的事件的枚举值

signals:

public slots:
};

#endif // EMBFUNCTIONITEM_H
